<?php

/************************************************************************/
/* Eleonline - Raccolta e diffusione dei dati elettorali                */
/* by Roberto Gigli & Luciano Apolito                                   */
/* http://www.eleonline.it                                              */
/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
/************************************************************************/
/* Modulo Controllo dei voti                                            */
/* Amministrazione                                                      */
/************************************************************************/

if (!defined('ADMIN_FILE')) {
    die ("You can't access this file directly...");
}
global $dbi;
$aid=$_SESSION['aid'];
$prefix=$_SESSION['prefix'];
$currentlang=$_SESSION['lang'];
$id_comune=$_SESSION['id_comune'];
$id_cons_gen=$_GET['id_cons_gen'];
$bgcolor1=$_SESSION['bgcolor1'];
$bgcolor2=$_SESSION['bgcolor2'];

$perms=ChiSei($id_cons_gen);
if ($perms<16 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
$sql="SELECT t1.tipo_cons,t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
$res = $dbi->prepare("$sql");
$res->execute();	
list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = $res->fetch(PDO::FETCH_NUM);
$sql="SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
$res = $dbi->prepare("$sql");
$res->execute();	
list($genere,$votog,$votol) = $res->fetch(PDO::FETCH_NUM);

include("modules/Elezioni/funzionidata.php");
include("modules/Elezioni/ele.php");
if (isset($param['ops'])) $ops=addslashes($param['ops']); else $ops='';
if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
if (isset($param['num_refs'])) $num_refs=intval($param['num_refs']);
ele();
//**************************************************************************
//        ELE
//**************************************************************************
 
global $prefix, $dbi,$fascia,$limite,$genere,$votog;


if($genere!=0){	
	$sql="SELECT t1.id_gruppo,sum(t1.voti),sum(t1.solo_gruppo) FROM ".$prefix."_ele_voti_gruppo as t1 left join ".$prefix."_ele_gruppo as t2 on t1.id_gruppo=t2.id_gruppo where t1.id_cons='$id_cons' group by t1.id_gruppo order by t2.num_gruppo";
	$res = $dbi->prepare("$sql");
	$res->execute();	
	####################### inserimento scrutinio in percentuale -- per i gruppi
	
	$sql="select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
	$resperc = $dbi->prepare("$sql");
	$resperc->execute();	
	list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
	$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ";
	$resperc = $dbi->prepare("$sql");
	$resperc->execute();	
	list($totschede)=$resperc->fetch(PDO::FETCH_NUM);
	if($totschede)
		$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,2);
	else $grpercscru=0;

################# calcolo voti di lista espressi
	$sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+solo_gruppo),sum(voti_nulli_lista),sum(contestati_lista),sum(solo_gruppo) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
	$resperc = $dbi->prepare("$sql");
	$resperc->execute();	
	list($scruvalidi,$scrunulli,$nullista,$contlista,$sgs)=$resperc->fetch(PDO::FETCH_NUM);

	if($totschede)
		$listpercscru=number_format(($scruvalidi+$scrunulli+$nullista+$contlista)*100/$totschede,2);
	else $listpercscru=0;
	$listtotschede=$totschede;
	$listtotvoti=($scruvalidi+$scrunulli+$nullista+$contlista);

#################
	echo "<table border=\"1\" cellpadding=\"5\"  style=\"border-collapse: collapse; outline: thin solid;\"><tr align=\"middle\"><th colspan=\"5\">Riepilogo dei voti per gruppo e liste collegate</th></tr>";
	echo "<tr align=\"middle\"><td colspan=\"3\"><b>Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</b></td><td colspan=\"2\"><b>Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</b></td></tr>";
	echo "<tr align=\"middle\"><td><b>"._GRUPPO."</b></td><td><b>Voti</b></td><td><b>Al solo</br>"._GRUPPO."</b></td><td><b>Lista</br>Collegata</b></td><td><b>Voti alla lista</b></td></tr>";
	$totl=0;$totg=0;$totsg=0;
	while(list($id_gruppo,$votigruppo,$sologruppo)=$res->fetch(PDO::FETCH_NUM))
	{
		$totg+=$votigruppo; $totsg+=$sologruppo;
		$sql="SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' order by num_lista"; 
		$resl = $dbi->prepare("$sql");
		$resl->execute();	
		$numliste=$resl->rowCount();
		if(!$numliste) $numliste=1;
		$sql="SELECT num_gruppo,descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
		$resg2 = $dbi->prepare("$sql");
		$resg2->execute();	
		list($num_gruppo,$descrg)=$resg2->fetch(PDO::FETCH_NUM);

		echo "<tr style=\"border-top: 2px solid;\"><td rowspan=\"$numliste\">$descrg</td><td rowspan=\"$numliste\" align=\"right\"><h2>".number_format($votigruppo,0,',','.')."</h2></td><td rowspan=\"$numliste\" align=\"right\"><h2>";
		if($sologruppo) echo number_format($sologruppo,0,',','.'); else echo "-";
		echo "</h2></td>";
		$currlst=0;
		while (list($id_lista,$num_lista,$descrl)=$resl->fetch(PDO::FETCH_NUM))
		{
			$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista'";
			$resl2 = $dbi->prepare("$sql");
			$resl2->execute();	
			list($votilista)=$resl2->fetch(PDO::FETCH_NUM);
			if($currlst) echo "<tr>"; else $currlst++;
			$totl+=$votilista;
			echo "<td>$num_lista) $descrl</td><td align=\"right\"><h2>".number_format($votilista,0,',','.')."</h2></td></tr>";
		}
		if(!$currlst) echo "<td></td><td></td></tr>";
	}
	if(!$totsg)$totsg=$sgs;
	echo "<tr style=\"border-top: 2px solid;\"><td rowspan=\"3\"><b>Totale</b></td><td  rowspan=\"3\" align=\"right\"><h1>".number_format($totg,0,',','.')."</h1></td><td  rowspan=\"3\" align=\"right\"><h1>".number_format($totsg,0,',','.')."</h1></td><td align=\"right\"><b>Validi di lista</b></td><td align=\"right\"><h1>".number_format($totl,0,',','.')."</h1></td></tr><tr><td align=\"right\"><b>Nulli di lista</b></td><td align=\"right\"><h1>".number_format($nullista,0,',','.')."</h1></td></tr><tr><td align=\"right\"><b>Contestati di lista</b></td><td align=\"right\"><h1>".number_format($contlista,0,',','.')."</h1></td></tr>";
	echo "</table></br>";
	
}	
	
echo "</table>";	

#	if ($votog) echo "<fieldset><legend>"._VOTI_LISTA."</legend>";
#	else echo "<fieldset><legend>"._GRUPPO."</legend>";


   include ("footer.php");

?>
